0

Trying to upgrade from Magento 2.1.4 CE to 2.1.6 CE

The readiness check says: Your PHP version is correct (5.6.25).

But we only have PHP 7 installed.

Php info and all areas I can find confirm that 7 is installed and active.

After the PHP version it throws the error Your current PHP memory limit is 256M. Magento 2 requires it to be set to 756M or more.

But memory limit is set higher than 756m

It's like Magento is sourcing information from the wrong place but everything I've found to check confirms php7 and higher than 256m limit.

Is there a way to confirm where Magento is sourcing the info?

  • Can you review .htaccess for the memory limit. – arushi May 15 '17 at 5:03
  • @arushi yep it's set as <IfModule mod_php5.c> php_value memory_limit 1024M and <IfModule mod_php7.c> php_value memory_limit 768M No mention of 256m anywhere. – Justin May 15 '17 at 5:05
1

Turns out it was a cronjob issues, for those with the same error make sure your cronjob is pointing to the correct php path.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.